function dibujopcacolor2(averagei,averagecompovf);
% 
%dibujopcacolor2(averagei,averagecompovf)
%
% media: son vértices y caras de la media: averagei: mean shape
%coi media: vérices y caras de la media +/- componente coi calculaada con
%dibujopca (averagecompovf): mean +/- the multiple of the component
%computed with dibujopca
%                
% sphere:  A unit spherical mesh where the coordinates will be sampled.
% sigma: bandwidth of smoothing
% k        : degree. For amygdala, k=15, cortical surface k = 48 or 52. 
%
% studyfourier media: son 
%
% tipo: PINTA con colores en la media, donde es mayor en módulo la
% componente. Tb. por cada dimensión podría hacerse: x, y, z
% color the mean hippocampus using the magnitude (norm) of the component

re=averagei.vertices- averagecompovf.vertices;

r1=re(:,1).^2;
r2=re(:,2).^2; 
r3=re(:,3).^2;

mo=sqrt(r1+r2+r3);

figure_trimesh(averagei,mo) %from surfstats